Appearance
Get mediacontents for a specific related item and media type ​
GET
/v1/mediacontent/{related_type}/{related_id}/{media_type}
Gets mediacontents for a specific related item and media type.
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Path Parameters
related_type*
Type of the related entity
Type
Requiredstring
related_id*
ID of the related entity
Type
Requiredstring
media_type*
Type of the media content
Type
Requiredstring
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1Responses​
OK
application/json
JSON"mediacontents": [{"mediacontent_id": "string","related_type": "string","related_id": "string","media_type": "string","media_sizes": ["string"],"filename": null,"created_by": null,"created": null,"media_url": null,"expiry_date": null,"order": null}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}